from pydantic import UUID4, BaseModel


class PortsbaseModel(BaseModel):
    port: int


class PortscreateModel(PortsbaseModel):
    ip_id: UUID4


class PortsqueryModel(PortsbaseModel):
    ip_id: UUID4


class PortsModel(PortsbaseModel):
    id: UUID4

    class Config:
        from_attributes = True


class PortsbyIDqueryModel(BaseModel):
    id: UUID4
